Package org.eclipse.emf.compare.merge

# Class PseudoConflictMerger

java.lang.Object
org.eclipse.emf.compare.merge.AbstractMerger
org.eclipse.emf.compare.merge.PseudoConflictMerger

All Implemented Interfaces:
  `IMergeCriterionAware`, `IMergeOptionAware`, `IMerger`, `IMerger2`

public class PseudoConflictMerger extends AbstractMerger
A simple merger for pseudo conflict. It only marks the differences as merged without doing anything except browsing the requirements and the equivalences.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.merge.IMerger

`IMerger.Registry, IMerger.Registry2, IMerger.RegistryImpl`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.merge.AbstractMerger

`mergeOptions, SUB_DIFF_AWARE_OPTION`

## Constructor Summary

Constructors
Constructor
Description
`PseudoConflictMerger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`copyLeftToRight(Diff target, Monitor monitor)`
Executes the copy from left to right.
`void`
`copyRightToLeft(Diff target, Monitor monitor)`
Executes the copy from right to left.
`boolean`
`isMergerFor(Diff target)`
Check if the merger is a good candidate to merge the given difference.

### Methods inherited from class org.eclipse.emf.compare.merge.AbstractMerger

`accept, addAt, apply, copyDiff, createCopy, getDirectMergeDependencies, getDirectResultingMerges, getDirectResultingRejections, getImpliedMerges, getLogicallyResultingMerges, getMergeOptions, getMergerDelegate, getMergerDelegate, getRanking, getRegistry, isAccepting, isAdd, isInTerminalState, isSet, isUnset, mergeDiff, reject, setMergeOptions, setRanking, setRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PseudoConflictMerger

public PseudoConflictMerger()

## Method Details

### isMergerFor

public boolean isMergerFor(Diff target)
Check if the merger is a good candidate to merge the given difference.

Parameters:
  `target` - The given target difference.
Returns:
  True if it is the good candidate, false otherwise.
See Also:
  - `IMerger.isMergerFor(org.eclipse.emf.compare.Diff)`

### copyLeftToRight

public void copyLeftToRight(Diff target, Monitor monitor)
Executes the copy from left to right.

Specified by:
  `copyLeftToRight` in interface `IMerger`
Overrides:
  `copyLeftToRight` in class `AbstractMerger`
Parameters:
  `target` - The difference to handle.
  `monitor` - Monitor.
See Also:
  - `AbstractMerger.copyLeftToRight(org.eclipse.emf.compare.Diff, org.eclipse.emf.common.util.Monitor)`

### copyRightToLeft

public void copyRightToLeft(Diff target, Monitor monitor)
Executes the copy from right to left.

Specified by:
  `copyRightToLeft` in interface `IMerger`
Overrides:
  `copyRightToLeft` in class `AbstractMerger`
Parameters:
  `target` - The difference to handle.
  `monitor` - Monitor.
See Also:
  - `AbstractMerger.copyRightToLeft(org.eclipse.emf.compare.Diff, org.eclipse.emf.common.util.Monitor)`